* {
    box-sizing: border-box;
    outline: none !important;
}
body {
    font-family: 'Caveat', cursive;
    padding: 0;
    margin: 0;
    background: $white;
    color: $grey;

    header {
        width: 100%;
        box-shadow: 0px 3px 13px 0px #d9dada;
        position: relative;
    }
    footer {
        width: 100%;
        box-shadow: 0px -3px 13px 0px #d9dada;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 10px;
        position: relative;

        .buttons {
            display: flex;
            align-items: center;
            justify-content: space-around;
            width: 100%;
        }
    }
    h1 {
        color: $lightwine;
        font-size: 50px;
        text-align: center;
        margin: 0;
    }
    .btn {
        width: 250px;
        height: 50px;
        font-size: 20px;
        color: $lightgrey;
        background: $lightwine;
        border-radius: 3px;
        border: 0;
        cursor: pointer;
        font-family: 'Caveat', cursive;
        display: flex;
        align-items: center;
        justify-content: center;
        text-decoration: none;

        &:hover {
            background: $wine;
        }
        &.btn-mini {
            width: 150px;
            height: 40px;
        }
        &:disabled {
            background: $grey;
            cursor: default;
        }
    }
    .page {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        height: 100vh;

        .content {
            height: 100%;
            padding: 20px;
            overflow: auto;
            width: 100%;

            .center {
                width: 500px;
                margin: 0 auto;
            }
            p {
                font-size: 20px;
            }
        }
    }
    label.checkbox {
        margin: 0 10px;
        cursor: pointer;

        i {
            width: 30px !important;
            height: 30px;
            border: 2px solid $lightwine;
            border-radius: 3px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        input {
            display: none;

            &:checked + i {
                &:after {
                    content: '';
                    width: 20px;
                    height: 20px;
                    display: block;
                    background: $lightwine;
                    border-radius: 3px;
                }
            }
        }
    }
    .btn-squere {
        cursor: pointer;
        border: 1px solid $grey;
        border-radius: 3px;
        display: flex;
        width: 35px;
        height: 35px;
        align-items: center;
        justify-content: center;
        margin-left: 5px;

        img {
            width: 25px;
        }
        &:hover {
            background: $lightgrey;
        }
    }
}
